/* eslint-disable react-refresh/only-export-components */
import { createFileRoute } from '@tanstack/react-router'
import { PageEditPage } from '@/features/pages'

export const Route = createFileRoute('/_authenticated/pages/$pageId')({
  component: PageEditRoute,
})

function PageEditRoute() {
  const { pageId } = Route.useParams()
  return <PageEditPage pageId={pageId} />
}
